<chapter>
 <title>Introduction</title>

 <para>
Welcome to the enlightened state of programming.  This cookbook is a collection of tips, tricks, tutorials and introductions arranged into recipe style in order to help you quickly become proficient with the Enlightenment Foundation Libraries.  The Enlightement Foundations Libraries, refered to simply as the EFL, is a collection of libraries origionally written for use by the Enlightenment DR17 Window Manager.  However, as these libraries grew and were tested and deployed more and more, general functionality was added bringing us to enjoy a rich and powerful set of libraries that can be used to help solve all sorts of problems and act as a venerable alternative to the currently popular GTK and QT library sets.
 </para>

 <para>
	 The EFL is a comprehensive group of C libraries that can provide a means for almost any graphical need on many platforms.  The following is a concise breakdown of libraries which make up the EFL.
</para>

<variablelist>
 <title>EFL Componant List</title>

<varlistentry>
	<term>Imlib2</term>

	<listitem>
	<para>
	Complete image manipulation library, including rendering to X11 drawables.
	</para>
	</listitem>
</varlistentry>


<varlistentry>
        <term>EVAS</term>

        <listitem>
        <para>
	Canvas library with multiple backend engines including hardware OpenGL acceleration.  
        </para>
        </listitem>
</varlistentry>

<varlistentry>
        <term>Ecore</term>

        <listitem>
        <para>
	Modular library with event handling and timers.  It also includes sockets, IPC, both FB and X11 setup, teardown, event handling, job control, configuration handling and more.
        </para>
        </listitem>
</varlistentry>

<varlistentry>
        <term>EDB</term>

        <listitem>
        <para>
	A database library capabile of storing strings, values, and data for simple, consistant and centralized configuration handling.
        </para>
        </listitem>
</varlistentry>

<varlistentry>
        <term>EET</term>

        <listitem>
        <para>
	A flexable container format for storing binary images and data.
        </para>
        </listitem>
</varlistentry>

<varlistentry>
        <term>Edje</term>

        <listitem>
        <para>
	An image abstraction library and toolkit based on EVAS, keeping all aspects of the user interface completely seperate from application code through the use of signal passing.
        </para>
        </listitem>
</varlistentry>

<varlistentry>
        <term>Embryo</term>

        <listitem>
        <para>
	A scripting language typically used with Edje for advanced control.
        </para>
        </listitem>
</varlistentry>

<varlistentry>
        <term>Etox</term>

        <listitem>
        <para>
	A text formatting and manipulation library, complete with text stylization capabilities.
        </para>
        </listitem>
</varlistentry>

<varlistentry>
        <term>Esmart</term>

        <listitem>
        <para>
	A library consisting of various EVAS smart objects for easy reuse, including the popular transpancy hack.
        </para>
        </listitem>
</varlistentry>

<varlistentry>
        <term>Epeg</term>

        <listitem>
        <para>
	A lightning fast thunbnailing library for JPEGs independant of other EFL components.
        </para>
        </listitem>
</varlistentry>

<varlistentry>
        <term>Epsilon</term>

        <listitem>
        <para>
	A flexible and fast thumbnailing library for PNG, XCF, GIF and JPEG.
        </para>
        </listitem>
</varlistentry>

<varlistentry>
        <term>Evoak</term>

        <listitem>
        <para>
	An EVAS canvas server library and toolkit.
        </para>
        </listitem>
</varlistentry>

<varlistentry>
        <term>EWL</term>

        <listitem>
        <para>
	A complete widget library.
        </para>
        </listitem>
</varlistentry>

<varlistentry>
        <term>Emotion</term>

        <listitem>
        <para>
	An Evas object library for video and DVD playback using libxine.
        </para>
        </listitem>
</varlistentry>

</variablelist>



</chapter>


